Loading...
Searching...
No Matches
Opm::PerfData< Scalar > Class Template Reference

## Public Member Functions

| PerfData (std::size_t num_perf, Scalar pressure_first_connection_, bool injector_, std::size_t num_phases)
std::size_t | size () const
bool | empty () const
bool | try_assign (const PerfData &other)
void | prepareInjectorContainers ()
| Make containers valid for injectors.
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const PerfData &) const

## Static Public Member Functions

static PerfData | serializationTestObject ()

## Public Attributes

Scalar | pressure_first_connection {}
std::vector< Scalar > | pressure {}
std::vector< Scalar > | rates {}
std::vector< Scalar > | phase_rates {}
std::vector< std::array< Scalar, 4 > > | phase_mixing_rates {}
std::vector< Scalar > | solvent_rates {}
std::vector< Scalar > | polymer_rates {}
std::vector< Scalar > | brine_rates {}
std::vector< Scalar > | prod_index {}
std::vector< Scalar > | microbial_rates {}
std::vector< Scalar > | oxygen_rates {}
std::vector< Scalar > | urea_rates {}
std::vector< std::size_t > | cell_index {}
std::vector< Scalar > | connection_transmissibility_factor {}
std::vector< Scalar > | connection_d_factor {}
std::vector< Scalar > | connection_compaction_tmult {}
std::vector< int > | satnum_id {}
std::vector< std::size_t > | ecl_index {}
std::vector< Scalar > | gas_mass_rates {}
std::vector< Scalar > | wat_mass_rates {}
std::vector< Scalar > | water_throughput {}
std::vector< Scalar > | skin_pressure {}
std::vector< Scalar > | water_velocity {}
ConnFiltrateData< Scalar > | filtrate_data {}
std::vector< ConnFracStatistics< Scalar > > | connFracStatistics {}

## Member Function Documentation

## prepareInjectorContainers()

template<class Scalar>

void Opm::PerfData< Scalar >::prepareInjectorContainers | ( |  | ) |

Make containers valid for injectors.

Needed if a producer is switched to an injector,

The documentation for this class was generated from the following files:

- opm/simulators/wells/PerfData.hpp
- opm/simulators/wells/PerfData.cpp